/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.client.model.item;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.level.block.state.properties.WoodType;
import software.bernie.geckolib.model.DefaultedItemGeoModel;
import top.r3944realms.eroticdungeongame.EroticDungeon;
import top.r3944realms.eroticdungeongame.client.model.block.SpanishDonkeyBlockModel;
import top.r3944realms.eroticdungeongame.content.item.SpanishDonkeyItem;
import top.r3944realms.eroticdungeongame.util.WoodTypeHelper;

public class SpanishDonkeyItemModel extends DefaultedItemGeoModel<SpanishDonkeyItem> {
    public final ResourceLocation TEXTURE;
    public static final ResourceLocation ANIMATION = EroticDungeon.rl("animations/block/spanish_donkey.animation.json");
    public static final ResourceLocation MODEL = EroticDungeon.rl("geo/block/spanish_donkey.geo.json");

    public SpanishDonkeyItemModel(WoodType woodType) {
        super(SpanishDonkeyBlockModel.PATH);
        TEXTURE = WoodTypeHelper.getDirectlyWoodPlankRL(woodType);// 给直接的贴图

    }

    @Override
    public ResourceLocation getModelResource(SpanishDonkeyItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(SpanishDonkeyItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(SpanishDonkeyItem animatable) {
        return ANIMATION;
    }
}
